##Copyright 2010-2014 Thomas Paviot (tpaviot@gmail.com)
##
##This file is part of pythonOCC.
##
##pythonOCC is free software: you can redistribute it and/or modify
##it under the terms of the GNU Lesser General Public License as published by
##the Free Software Foundation, either version 3 of the License, or
##(at your option) any later version.
##
##pythonOCC is distributed in the hope that it will be useful,
##but WITHOUT ANY WARRANTY; without even the implied warranty of
##MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##GNU Lesser General Public License for more details.
##
##You should have received a copy of the GNU Lesser General Public License
##along with pythonOCC.  If not, see <http://www.gnu.org/licenses/>.

from __future__ import print_function

import sys

from OCC.BRepPrimAPI import BRepPrimAPI_MakeBox

from OCC.STEPControl import STEPControl_Writer, STEPControl_AsIs
from OCC.Interface import Interface_Static_SetCVal
from OCC.IFSelect import IFSelect_RetDone

from OCC.Display.SimpleGui import init_display
from OCC.TopoDS import TopoDS_Shape
from OCC.StlAPI import StlAPI_Reader

# from OCC.IGESControl import IGESControl_Reader, IGESControl_Writer
# from OCC.IGESControl import IGESControl_Writer
from OCC import IGESControl


stl_reader = StlAPI_Reader()
my_shp = TopoDS_Shape()
stl_reader.Read(my_shp, './my_shp.stl')

# initialize the STEP exporter
step_writer = STEPControl_Writer()
Interface_Static_SetCVal("write.step.schema", "AP214")

# initialize the IGES exporter
# iges_writer = IGESControl_Writer()
# iges_writer.AddShape(my_shp)
# iges_writer.Write("./my_shp.iges")

i  = IGESControl.IGESControl_Controller()
i.Init()
iges_writer = IGESControl.IGESControl_Writer()
iges_writer.AddShape(my_shp)
iges_writer.Write("./my_shp.iges")


# transfer shapes and write file
step_writer.Transfer(my_shp, STEPControl_AsIs)
status = step_writer.Write("./my_shp.stp")

assert(status == IFSelect_RetDone)

display, start_display, add_menu, add_function_to_menu = init_display()
display.DisplayShape(my_shp, update=True)
start_display()
